<?
########## Confixx(R) 3.0 Professional ############
####### Copyright SWsoft, Inc. 2004-2005 ##########
#### http://www.sw-soft.com - info@sw-soft.com ####

include_once( "../include/class.SQLInteger.php" );
include_once( "../include/class.SQLString.php" );
include_once("auth.php");

## mysql verbindung aufbauen
db_connect($db_host, $db_user, $db_pass);
## /mysql verbindung aufbauen

$jahr = date("Y");
$monat = date("m");
$tag = date("d");

## transfer ermitteln         
#fehler:
#(sum(ftp) + sum(web) + sum(email)) gibt bei mysql "Ver 10.8 Distrib 3.23.22-beta, for redhat-linux-gnu (i386)" Wert 0 zurück
$id = safe_query( "select (sum(ftp + web + email)) as usedtransfer, anbieter from transfer where jahr = ?  and monat = ?  group by anbieter", TRUE, new SQLInteger( $jahr ), new SQLInteger( $monat ) );
while($werte = db_fetch_array($id))
	{
	 $anbieter = $werte["anbieter"];
	 $traffik["$anbieter"] = $werte["usedtransfer"];
	}
##/ transfer ermitteln

## tabelle ins array
$id = safe_query("select * from anbieter order by number");
while ($werte = db_fetch_array($id))
	{
	 $anbieter = $werte["anbieter"];
	 $maxkb = $werte["maxkb"];
	 $maxkunden = $werte["maxkunden"];
	 $maxtransfer = $werte["maxtransfer"];
	 $gesperrt = $werte["gesperrt"];

	 #nur für das erste feld = rot erforderlich:
	 $maxmysql = $werte["maxmysql"];

 	 $maxpop = $werte["maxpop"];
	 $id2 = safe_query( "select account from pop3 where anbieter = ? ", TRUE, new SQLString( $anbieter ) );
	 $anzahlpop = db_num_rows($id2);

	 $maxemail = $werte["maxemail"];
	 $id2 = safe_query( "select prefix from email where anbieter = ? ", TRUE, new SQLString( $anbieter ) );
	 $anzahlemail = db_num_rows($id2);

	 $maxdomains = $werte["maxdomains"];
	 $id2 = safe_query( "select count(domain) as anzahldomains from domains where anbieter = ?  and richtigedomain='1'", TRUE, new SQLString( $anbieter ) );
	 $werte2 = db_fetch_array($id2);
	 $anzahldomains = $werte2["anzahldomains"];

 	 $maxsubdomains = $werte["maxsubdomains"];
	 $id2 = safe_query( "select domain from domains where anbieter = ?  and richtigedomain='0'", TRUE, new SQLString( $anbieter ) );
	 $anzahlsubdomains = db_num_rows($id2);

	 $maxftp = $werte["maxftp"];
	 $id2 = safe_query( "select account from ftp where anbieter = ? ", TRUE, new SQLString( $anbieter ) );
	 $anzahlftp = db_num_rows($id2);
	 #/nur für das erste feld = rot erforderlich

	 $id2 = safe_query( "select kunde from kunden where anbieter = ? ", TRUE, new SQLString( $anbieter ) );
	 $usedkunden = db_num_rows($id2);

	 $id2 = safe_query( "select (sum(kbhomedir) + sum(kbdb)) as kbgenutzt from kunden where anbieter = ? ", TRUE, new SQLString( $anbieter ) );
	 $werte = db_fetch_array($id2);
	 	 $kbgenutzt = $werte["kbgenutzt"];

	 $id2 = safe_query( "select kunde from kunden where maxkb='-1' and anbieter = ? ", TRUE, new SQLString( $anbieter ) );
	 $unbegrenzt = db_num_rows($id2);
	 if ($unbegrenzt > 0) { $kbvergeben = -1; } else
	  {
	   $id2 = safe_query( "select sum(maxkb) as kbvergeben from kunden where anbieter = ? ", TRUE, new SQLString( $anbieter ) );
	   $werte = db_fetch_array($id2);
	   $kbvergeben = $werte["kbvergeben"];
	  }

	  $usedtransfer = $traffik["$anbieter"];

## anzahl mysql-datenbanken ermitteln
$idX = safe_query( "select count(datenbank) as anzahlmysql from mysql_datenbanken where anbieter = ? ", TRUE, new SQLString( $anbieter ) );
$werteX = db_fetch_array($idX);
$anzahlmysql = $werteX["anzahlmysql"];
## //anzahl mysql-datenbanken ermitteln

	 $red = 0;

	 if 
	   ((($maxmysql < $anzahlmysql)			&& ($maxmysql <> -1))
	 || (($maxpop < $anzahlpop)			&& ($maxpop <> -1))
	 || (($maxemail < $anzahlemail)			&& ($maxemail <> -1))
	 || (($maxdomains < $anzahldomains)		&& ($maxdomains <> -1))
	 || (($maxsubdomains < $anzahlsubdomains)	&& ($maxsubdomains <> -1))
	 || (($maxftp < $anzahlftp)			&& ($maxftp <> -1)))
		{
		 $red = "1";
		}

	 $tabelle[] = array(
	 "anbieter" => $anbieter,
	 "maxkb" => $maxkb,
	 "kbvergeben" => $kbvergeben,
	 "kbgenutzt" => $kbgenutzt,
	 "maxkunden" => $maxkunden,
	 "maxtransfer" => $maxtransfer,
	 "usedtransfer" => $usedtransfer,
	 "usedkunden" => $usedkunden,
	 "red" => $red,
	 "gesperrt" => $gesperrt);
	}

$anzahlanbieter = db_num_rows($id);
## /tabelle ins array


?>
<HTML>
<HEAD>
<META content="text/html; charset=<? echo $lang_html_charset; ?>" http-equiv=Content-Type>
<LINK href="<?=$strSkinName?>/style.css" rel=stylesheet type=text/css>
</HEAD>

<BODY bgColor=#ffffff bottomMargin=0 leftMargin=0 topMargin=0 MARGINHEIGHT="0" MARGINWIDTH="0">
<br><? include("../fehler.inc.php"); ?>
<script>
function doChange()
{
document.forms[0].submit();
}
</script>

<? if ($anzahlanbieter < 1) { ?>
<? echo ltext("stst_descr1"); ?>
<? } ?>

<table border="0" cellpadding="3" cellspacing="0" bordercolorlight="#CCCCCC" bordercolordark="#FFFFFF">
  <tr>
    <td > 

<? if ($anzahlanbieter > 0) { ?>

<table class="tblbgcolor" border="1" cellpadding="3" cellspacing="0" bordercolorlight="#CCCCCC" bordercolordark="#FFFFFF">
        <tbody> 
        <tr> 
          <td class="titel-3" >
<? echo ltext("stst_cell_reseller"); ?></td>
          <td class="titel-3" >
<? echo ltext("stst_cell_du"); ?></td>
          <td class="titel-3" >
<? echo ltext("stst_cell_transfer"); ?></td>
          <td class="titel-3" >
<? echo ltext("stst_cell_users"); ?></td>
        </tr>
        <?

for ($i=0; $i < count($tabelle); $i++) {

$anbieter = $tabelle[$i]["anbieter"];
$maxkb = $tabelle[$i]["maxkb"];
$kbvergeben = $tabelle[$i]["kbvergeben"];
$kbgenutzt = $tabelle[$i]["kbgenutzt"];
$maxtransfer = $tabelle[$i]["maxtransfer"];
$usedtransfer = $tabelle[$i]["usedtransfer"];
$usedkunden = $tabelle[$i]["usedkunden"];
$maxkunden = $tabelle[$i]["maxkunden"];
$red = $tabelle[$i]["red"];
$gesperrt = $tabelle[$i]["gesperrt"];

?> 
        <tr>
          <td width=62 height="26" <? if ($red == 1) { echo "bgcolor=\"$fehlerfarbe\""; } ?>><a class=data href="statistik_details.php?anbieter=<? echo $anbieter; ?>"><? echo $anbieter; ?></a><? if ($gesperrt > 0) { echo "<b><font color=\"red\">!</b>"; } ?></td>
          <td width=234 height="26" <?  if ((($kbvergeben > $maxkb) || ($kbgenutzt > $maxkb) || ($kbvergeben == -1)) && ($maxkb <> -1)) { echo "bgcolor=\"$fehlerfarbe\""; } ?>><? echo sinnv_kbwert($kbgenutzt); ?> / <? echo sinnv_kbwert($kbvergeben); ?> / <? echo sinnv_kbwert($maxkb); ?> </td>
          <td width=108 height="26" <? if (($usedtransfer > $maxtransfer) && ($maxtransfer <> -1)){ echo "bgcolor=\"$fehlerfarbe\""; } ?>><? echo sinnv_kbwert($usedtransfer); ?> / <? echo sinnv_kbwert($maxtransfer); ?></td>
          <td width=109 height="26" <? if (($usedkunden > $maxkunden) && ($maxkunden <> -1)){ echo "bgcolor=\"$fehlerfarbe\""; } ?>><? echo sinnv_intwert($usedkunden); ?> / <? echo sinnv_intwert($maxkunden); ?></td>
        </tr>
        <?
}
?> </tbody> 
      </table>

<? } ?>

    </td>
  </tr>
</table>
</BODY>
</HTML>
